threads / Rename thread

threads

Rename thread

Update the title of a thread.

PUT /api/v1/threads/{id}/

Headers

Authorizationrequired

any - API key authentication using Bearer scheme

Path Parameters

idrequired

string

Request Body

titlerequired

string - New title for the thread

Response

idrequired

integer

titlerequired

string

created_atrequired

string<date-time>

last_modifiedrequired

string<date-time>

connection_ids

any - List of connection IDs that were used in this thread

connection_namesrequired

string - List of connection names associated with this thread

message_countrequired

string - Total number of messages in the thread

model

enum<string>: sonnet-4, sonnet-4.5, haiku-4.5, o3, o4-mini, gpt-4.1, gpt-5, gpt-5-codex - The model used for this thread * `sonnet-4` - Sonnet 4 * `sonnet-4.5` - Sonnet 4.5 * `haiku-4.5` - Haiku 4.5 * `o3` - o3 * `o4-mini` - o4-mini * `gpt-4.1` - GPT-4.1 * `gpt-5` - GPT-5 * `gpt-5-codex` - GPT-5 Codex

sourcerequired

enum<string>: UI, API, MCP - How this thread was created * `UI` - Web UI * `API` - REST API * `MCP` - MCP Server

uidrequired

string - User identifier who created this thread